
// FireCRFlashSDKDemoDlg.h : header file
//

#pragma once
#include "SDK.h"

#define USE_EXPLICIT_LINK
#define _USEWINDOWMESSAGE_

// CFireCRFlashSDKDemoDlg dialog
class CFireCRFlashSDKDemoDlg : public CDialogEx
{
// Construction
public:
	CFireCRFlashSDKDemoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_FIRECRFLASHSDKDEMO_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions

	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();

	afx_msg LRESULT OnScannerNotifyMsg(WPARAM wparam, LPARAM lparam);
	afx_msg LRESULT OnScannerStatusMsg(WPARAM wparam, LPARAM lparam);
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedBtnLoad();
	afx_msg void OnBnClickedBtnDisconnect();
	afx_msg void OnBnClickedBtnFree();
	afx_msg void OnBnClickedBtnConnect();
	afx_msg void OnBnClickedBtnGetimage();
	afx_msg void OnBnClickedBtnClose();
	afx_msg void OnBnClickedBtnCalibration();
	afx_msg void OnBnClickedBtnScannercontrol();
	afx_msg void OnBnClickedBtnScan();
	afx_msg void OnBnClickedBtnStop();
	afx_msg void OnClose();

public:
#ifdef USE_EXPLICIT_LINK
	HMODULE	m_hMod;
	FLOPENSCANNERSDK				m_pfnOpenScannerSDK;
	FLCLOSESCANNERSDK				m_pfnCloseScannerSDK;
	FLOPENSCANNER					m_pfnOpenScanner;
	FLCLOSESCANNER					m_pfnCloseScanner;
	FLGETIMAGEFROMLIST				m_pfnGetImageFromList;
	FLGETSCANNERINFO				m_pfnGetScannerInfo;
	FLGETIMAGESIZE					m_pfnGetImageSize;
	FLGETIMAGEBUFFER				m_pfnGetImageBuffer;
	FLSHOWMODALCALIBRATIONDIALOG	m_pfnShowModalCalibrationDialog;
	FLSHOWSCANNERCONTROLDIALOG		m_pfnShowScannerControlDialog;
	FLGETPROGRESS					m_pfnGetProgress;
	FLGETSCANNERSTATUS				m_pfnGetScannerStatus;
	FLGETRESOLUTION					m_pfnGetResolution;
	FLGETIPSIZE						m_pfnGetIPSize;
	FLGETSCANNERCONNECTIONTYPE		m_pfnGetScannerConnectionType;
	FLGETSCANNERERROR				m_pfnGetScannerError;
	FLDORUN							m_pfnDoRun;
	FLSETRESOLUTION					m_pfnSetResolution;
	FLDOSTOP						m_pfnDoStop;
	FLISCALIBRATED					m_pfnIsCalibrated;

	BOOL						LoadDll();
	void						FreeDll();
#endif
	void						updateScannerStatus(int status);
	void						updateRFIDStatus(int status);
	void						updateRFIDNotify(int notify);
	void						GetLastImage();
	BOOL m_bCheckTrace;

	afx_msg void OnBnClickedRadio100();
	afx_msg void OnBnClickedRadio200();
};
